aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Junghans <ottxor@gentoo.org>2014-09-24 22:18:58 -0600
committerChristoph Junghans <ottxor@gentoo.org>2014-09-24 22:18:58 -0600
commit39b1f1378cfc1bf8bc6e7bf9b7fe9ad758ded14b (patch)
treea0f397ce5c57a7c0fb57093e4479fa4f7b7f1a2f /dev-cpp/icnc
parentBan EAPI=0/1 (diff)
downloadsci-39b1f1378cfc1bf8bc6e7bf9b7fe9ad758ded14b.tar.gz
sci-39b1f1378cfc1bf8bc6e7bf9b7fe9ad758ded14b.tar.bz2
sci-39b1f1378cfc1bf8bc6e7bf9b7fe9ad758ded14b.zip
initial commit
Package-Manager: portage-2.2.8-r1
Diffstat (limited to 'dev-cpp/icnc')
-rw-r--r--dev-cpp/icnc/ChangeLog9
-rw-r--r--dev-cpp/icnc/icnc-9999.ebuild41
-rw-r--r--dev-cpp/icnc/metadata.xml8
3 files changed, 58 insertions, 0 deletions
diff --git a/dev-cpp/icnc/ChangeLog b/dev-cpp/icnc/ChangeLog
new file mode 100644
index 000000000..aaca313f3
--- /dev/null
+++ b/dev-cpp/icnc/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for dev-cpp/icnc
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*icnc-9999 (25 Sep 2014)
+
+ 25 Sep 2014; Christoph Junghans <ottxor@gentoo.org> +icnc-9999.ebuild,
+ +metadata.xml:
+ initial commit
diff --git a/dev-cpp/icnc/icnc-9999.ebuild b/dev-cpp/icnc/icnc-9999.ebuild
new file mode 100644
index 000000000..8ab3b22d6
--- /dev/null
+++ b/dev-cpp/icnc/icnc-9999.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit cmake-utils multilib
+
+DESCRIPTION="Intel Concurrent Collections for C++ - Parallelism without the Pain"
+HOMEPAGE="https://software.intel.com/en-us/articles/intel-concurrent-collections-for-cc"
+
+if [[ $PV = 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/icnc/icnc.git"
+else
+ SRC_URI="mirror://sourceforge/${PN}/${PV}/l_cnc_b_${PV}.tgz"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="
+ >=dev-cpp/tbb-4.2[debug]
+ sys-libs/glibc
+ "
+RDEPEND="${DEPEND}"
+
+src_configure() {
+#TODO has mpi support but broken with virtual/mpi
+# local mycmakeargs=(
+# $(cmake-utils_use mpi BUILD_LIBS_FOR_MPI)
+# )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ mv "${ED}"/usr/{lib,$(get_libdir)} || die
+}
diff --git a/dev-cpp/icnc/metadata.xml b/dev-cpp/icnc/metadata.xml
new file mode 100644
index 000000000..745b9e1ce
--- /dev/null
+++ b/dev-cpp/icnc/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>ottxor@gentoo.org</email>
+ <name>Christoph Junghans</name>
+ </maintainer>
+</pkgmetadata>